<?php
 session_start();
  if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
 
	  
  if ( @$_POST["sql"]=="insert"){
      $filterfield="cedula";
	  $filter=@$_POST["cedula"];
	  }

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];
 
?>

<html>
<head>
<title>sadce-alumnos</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>


<script src="jquery.min.js" type="text/javascript"></script>

</head>

<script>
$(document).ready(function(){
	$("#estado").change(function(){
		$.post("carga_municipios.php",{ id:$(this).val() },function(data){$("#municipio").html(data);})
	});	
	$("#municipio").change(function(){
		$.post("carga_parroquias.php",{ id:$(this).val() },function(data){$("#parroquia").html(data);})
	});
})
</script>


<body>

<table class="bd" width="100%"><tr><td class="hr"><h2>Gesti&oacute;n de Participantes</h2></td></tr></table>
<?php
  $conn = connect();
  $showrecs = 20;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  $id_alumno=@$_POST["xid_alumno"];
  $id_alumno_volver=@$_GET["id_alumno_volver"];
  
  $campo=$_GET["campo"];
  $valor_campo=$_GET["valor_campo"];
  
  
  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
          sql_delete();	
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid,$filter,$filterfield);
      break;
    case "edit":
      editrec($recid,$filter,$filterfield);
      break;
	case "retorno":
	  limpiar($recid, $id_alumno_volver,$campo,$valor_campo);  
      editrec($recid, $valor_campo, $campo);
      break;  
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;
  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php

 function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;

  
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td>N&uacute;mero de Participantes: <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="alumnos_limitado.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los campos</option>

<option value="<?php echo "id_alumno" ?>"<?php if ($filterfield == "id_alumno") { echo "selected"; } ?>><?php echo "Matrícula" ?></option>

<option value="<?php echo "cedula" ?>"<?php if ($filterfield == "cedula") { echo "selected"; } ?>><?php echo "Cédula/Pasaporte" ?></option>

<option value="<?php echo "apellidos" ?>"<?php if ($filterfield == "apellidos") { echo "selected"; } ?>><?php echo "Apellidos" ?></option>

<option value="<?php echo "nombres" ?>"<?php if ($filterfield == "nombres") { echo "selected"; } ?>><?php echo "Nombres" ?></option>

<option value="<?php echo "genero" ?>"<?php if ($filterfield == "genero") { echo "selected"; } ?>><?php echo htmlspecialchars("Género") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="alumnos_limitado.php?a=reset">Quitar Filtro</a></td>
</tr>
</table>
</form>
<hr size="1" noshade>

<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center"><a class="hr" href="alumnos_limitado.php?order=<?php echo "id_alumno" ?>&type=<?php echo $ordtypestr ?>"><?php echo "Matrícula" ?></a></td>
<td class="hr" align="center"><a class="hr" href="alumnos_limitado.php?order=<?php echo "cedula" ?>&type=<?php echo $ordtypestr ?>"><?php echo "Cédula" ?></a></td>

<td class="hr" align="center"><a class="hr" href="alumnos_limitado.php?order=<?php echo "apellidos" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Apellidos") ?></a></td>
<td class="hr" align="center"><a class="hr" href="alumnos_limitado.php?order=<?php echo "nombres" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Nombres") ?></a></td>
<td class="hr" align="center"><a class="hr" href="alumnos_limitado.php?order=<?php echo "genero" ?>&type=<?php echo $ordtypestr ?>"><?php echo "Género" ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	if($row['genero']=="0"){
     $genero='M';
   }
   else{
     $genero='F';
   }  
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="alumnos_limitado.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="alumnos_limitado.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($genero) ?></td>

</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php showpagenav($page, $pagecount); ?>
<?php } ?>

<?php function showrow($row, $recid)
  {
  global $conn;
  $conn=connect();

  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
  if($row['genero']=="0"){
     $genero='MASCULINO';
   }
  else{
     $genero='FEMENINO';
   }  
   
  switch ($row['privado_lib']) {
     case "1":
      $privado_lib='SI';
      break;
    case "2":
       $privado_lib='NO';
      break;
    case "3":
       $privado_lib='NO APLICA';
      break;
   }
   
   if($row['condicion_res']=="1"){
    $condicion_res='RESIDENTE';
   }
   else{
     $condicion_res='TRANSEÚNTE';
   }  
   
   if($row['becado']=="1"){
    $becado='SI';
   }
   else{
     $becado='NO';
   }  
   
   switch ($row['edocivil']) {
    case "S":
      $edocivil="SOLTERO(A)";
      break;
    case "C":
       $edocivil="CASADO(A)";
      break;
    case "V":
       $edocivil="VIUDO(A)";
      break;
	case "D":
       $edocivil="DIVORCIADO(A)";
      break;
     }
  if($row['nacionalidad']=="V"){
      $nacionalidad="VENEZOLANA";
   }
   else{
      $nacionalidad="EXTRANJERA";
   }  
   
   if($row['tipodoc']=="C"){
      $tipodoc="CÉDULA";
   }
   else{
      $tipodoc="PASAPORTE";
   }  
  $query_rstEtnias = "SELECT * FROM etnias";
  $rstEtnias = mysql_query($query_rstEtnias, $conn) or die(mysql_error());
  $row_rstEtnias = mysql_fetch_assoc($rstEtnias);
  $totalRows_rstEtnias = mysql_num_rows($rstEtnias);


  $codEtnia= str_replace('"', '&quot;', trim($row["etnia"]));
  $query_rstEtnias1 = "SELECT * FROM etnias WHERE etnias.codigo='$codEtnia' ";
  $rstEtnias1 = mysql_query($query_rstEtnias1, $conn) or die(mysql_error());
  $row_rstEtnias1 = mysql_fetch_assoc($rstEtnias1);
  $totalRows_rstEtnias1 = mysql_num_rows($rstEtnias1);
    

  $query_rstCiudad = "SELECT * FROM ciudades ORDER BY ciudad";
  $rstCiudad = mysql_query($query_rstCiudad, $conn) or die(mysql_error());
  $row_rstCiudad = mysql_fetch_assoc($rstCiudad);
  $totalRows_rstCiudad = mysql_num_rows($rstCiudad);
  

  $Ciudad = str_replace('"', '&quot;', trim($row["lugar"]));
  $query_rstCiudad1 = "SELECT * FROM ciudades WHERE ciudades.ciudad='$Ciudad' ORDER BY ciudad";
  $rstCiudad1 = mysql_query($query_rstCiudad1, $conn) or die(mysql_error());
  $row_rstCiudad1 = mysql_fetch_assoc($rstCiudad1);
  $totalRows_rstCiudad1 = mysql_num_rows($rstCiudad1);
    

  $query_rstEstados = "SELECT * FROM estados";
  $rstEstados = mysql_query($query_rstEstados, $conn) or die(mysql_error());
  $row_rstEstados = mysql_fetch_assoc($rstEstados);
  $totalRows_rstEstados = mysql_num_rows($rstEstados);
  

  $codEstado = str_replace('"', '&quot;', trim($row["estado"]));
  $query_rstEstados1 = "SELECT * FROM estados WHERE estados.codigo='$codEstado'";
  $rstEstados1 = mysql_query($query_rstEstados1, $conn) or die(mysql_error());
  $row_rstEstados1 = mysql_fetch_assoc($rstEstados1);
  $totalRows_rstEstados1 = mysql_num_rows($rstEstados1);


  $query_rstMunicipios = "SELECT * FROM municipios";
  $rstMunicipios = mysql_query($query_rstMunicipios, $conn) or die(mysql_error());
  $row_rstMunicipios = mysql_fetch_assoc($rstMunicipios);
  $totalRows_rstMunicipios = mysql_num_rows($rstMunicipios);
  

  $codMunicipio = str_replace('"', '&quot;', trim($row["municipio"]));
  $query_rstMunicipio1 = "SELECT * FROM municipios WHERE municipios.codigo='$codMunicipio'";
  $rstMunicipio1 = mysql_query($query_rstMunicipio1, $conn) or die(mysql_error());
  $row_rstMunicipio1 = mysql_fetch_assoc($rstMunicipio1);
  $totalRows_rstMunicipio1 = mysql_num_rows($rstMunicipio1);


  $query_rstParroquias = "SELECT * FROM parroquias";
  $rstParroquias = mysql_query($query_rstParroquias, $conn) or die(mysql_error());
  $row_rstParroquias = mysql_fetch_assoc($rstParroquias);
  $totalRows_rstParroquias = mysql_num_rows($rstParroquias);


  $codParroquia = str_replace('"', '&quot;', trim($row["parroquia"]));
  $query_rstParroquias1 = "SELECT * FROM parroquias WHERE parroquias.codigo='$codParroquia'";
  $rstParroquias1 = mysql_query($query_rstParroquias1, $conn) or die(mysql_error());
  $row_rstParroquias1 = mysql_fetch_assoc($rstParroquias1);
  $totalRows_rstParroquias1 = mysql_num_rows($rstParroquias1);

 
  $query_rstPais = "SELECT * FROM paises";
  $rstPais = mysql_query($query_rstPais, $conn) or die(mysql_error());
  $row_rstPais = mysql_fetch_assoc($rstPais);
  $totalRows_rstPais = mysql_num_rows($rstPais);  


  $codpais = str_replace('"', '&quot;', trim($row["pais"]));
  $query_rstPais1 = "SELECT * FROM paises WHERE paises.CODIGO='$codpais'";
  $rstPais1 = mysql_query($query_rstPais1, $conn) or die(mysql_error());
  $row_rstPais1 = mysql_fetch_assoc($rstPais1);
  $totalRows_rstPais1 = mysql_num_rows($rstPais1);  
 

  $query_rstGradoAcad = "SELECT * FROM grado_academico";
  $rstGradoAcad = mysql_query($query_rstGradoAcad, $conn) or die(mysql_error());
  $row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad);
  $totalRows_rstGradoAcad = mysql_num_rows($rstGradoAcad);

  
  $codGa = str_replace('"', '&quot;', trim($row["gradoacad"]));
  $query_rstGradoAcad1 = "SELECT * FROM grado_academico WHERE grado_academico.codigo='$codGa'";
  $rstGradoAcad1 = mysql_query($query_rstGradoAcad1, $conn) or die(mysql_error());
  $row_rstGradoAcad1 = mysql_fetch_assoc($rstGradoAcad1);
  $totalRows_rstGradoAcad1 = mysql_num_rows($rstGradoAcad1);  
  
  $discapacidad= str_replace('"', '&quot;', trim($row["discapacidad"]));
  $query_rstDiscapacidad = "SELECT * FROM discapacidades WHERE codigo='$discapacidad'";
  $rstDiscapacidad = mysql_query($query_rstDiscapacidad, $conn) or die(mysql_error());
  $row_rstDiscapacidad = mysql_fetch_assoc($rstDiscapacidad);
  

?>

<link href="modelo/calendario/calendar-win2k-cold-1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/js_estilos.js"></script>
<script type="text/javascript" src="js/dinamica.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-setup.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-en.js"></script>


<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="80%">
<tr>
<td >Datos Personales</td>
</tr>
<td class="hr"><?php echo htmlspecialchars("Matrícula")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["id_alumno"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo Documento Id")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($tipodoc) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cedula"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombres"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nacionalidad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($nacionalidad) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fechanac"]))))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grupo Étnico")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstEtnias1['ETNIA']?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Género")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($genero) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estado Civil")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($edocivil) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Condición de Residencia")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($condicion_res) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Privado de Libertad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($privado_lib) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Dirección")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["direccion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Habitación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["telefonoh"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Trabajo")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["telefonot"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Celular")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["telefonoc"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Correo Electrónico")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["email"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Discapacidad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row_rstDiscapacidad["discapacidad"]) ?></td>
</tr>
<tr>
<td >Lugar de Nacimiento</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["lugar"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstPais1['pais']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstEstados1['ESTADO']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Municipio")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstMunicipios['MUNICIPIO']?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Parroquia")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstParroquias1['PARROQUIA']?></td>
</tr>
<tr>
<td >Datos Académicos</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Suficiencia de Idioma")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["idiomas"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nivelacad"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Grado Académico")."&nbsp;" ?></td>
<td class="dr"><?php echo $row_rstGradoAcad1['GRADO_ACADEMICO']?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Becado")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($becado) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Institución que Beca")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["institucion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Ingreso ULAC")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fecha_ingreso"]))))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Última Inscripción ULAC")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["ultima_inscripcion"]))))) ?></td>
</tr>

</table>
<?php 
mysql_free_result($rstEtnias);
mysql_free_result($rstEtnias1);
mysql_free_result($rstCiudad);
mysql_free_result($rstCiudad1);
mysql_free_result($rstEstados);
mysql_free_result($rstEstados1);
mysql_free_result($rstMunicipios);
mysql_free_result($rstMunicipio1);
mysql_free_result($rstParroquias);
mysql_free_result($rstParroquias1);
mysql_free_result($rstPais);
mysql_free_result($rstPais1);
mysql_free_result($rstGradoAcad);
mysql_free_result($rstGradoAcad1);
} ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  $conn=connect();

  if($row['genero']=="0"){
     $genero='MASCULINO';
   }
  else{
     $genero='FEMENINO';
   }  
   
  switch ($row['privado_lib']) {
     case "1":
      $privado_lib='SI';
      break;
    case "2":
       $privado_lib='NO';
      break;
    case "3":
       $privado_lib='NO APLICA';
      break;
   }
   
   if($row['condicion_res']=="1"){
    $condicion_res='RESIDENTE';
   }
   else{
     $condicion_res='TRANSEÚNTE';
   }  
   
   if($row['becado']=="1"){
    $becado='SI';
   }
   else{
     $becado='NO';
   }  
   
   if($row['nacionalidad']=="V"){
      $nacionalidad="VENEZOLANA";
   }
   else{
      $nacionalidad="EXTRANJERA";
   }  
   
   if($row['tipodoc']=="C"){
      $tipodoc="CÉDULA";
   }
   else{
      $tipodoc="PASAPORTE";
   }  
   
   switch ($row['edocivil']) {
    case "S":
      $edocivil="SOLTERO(A)";
      break;
    case "C":
       $edocivil="CASADO(A)";
      break;
    case "V":
       $edocivil="VIUDO(A)";
      break;
	case "D":
       $edocivil="DIVORCIADO(A)";
      break;
     }
   
  $discapacidad= str_replace('"', '&quot;', trim($row["discapacidad"]));
  $query_rstDiscapacidad = "SELECT * FROM discapacidades WHERE codigo='$discapacidad'";
  $rstDiscapacidad = mysql_query($query_rstDiscapacidad, $conn) or die(mysql_error());
  $row_rstDiscapacidad = mysql_fetch_assoc($rstDiscapacidad);
  
  $query_rstDiscapacidad1 = "SELECT * FROM discapacidades";
  $rstDiscapacidad1 = mysql_query($query_rstDiscapacidad1, $conn) or die(mysql_error());
  $row_rstDiscapacidad1 = mysql_fetch_assoc($rstDiscapacidad1);
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $query_rstEtnias = "SELECT * FROM etnias";
  $rstEtnias = mysql_query($query_rstEtnias, $conn) or die(mysql_error());
  $row_rstEtnias = mysql_fetch_assoc($rstEtnias);
  $totalRows_rstEtnias = mysql_num_rows($rstEtnias);

  $codEtnia= str_replace('"', '&quot;', trim($row["etnia"]));
  $query_rstEtnias1 = "SELECT * FROM etnias WHERE etnias.codigo='$codEtnia' ";
  $rstEtnias1 = mysql_query($query_rstEtnias1, $conn) or die(mysql_error());
  $row_rstEtnias1 = mysql_fetch_assoc($rstEtnias1);
  $totalRows_rstEtnias1 = mysql_num_rows($rstEtnias1);
    
  $query_rstCiudad = "SELECT * FROM ciudades ORDER BY ciudad";
  $rstCiudad = mysql_query($query_rstCiudad, $conn) or die(mysql_error());
  $row_rstCiudad = mysql_fetch_assoc($rstCiudad);
  $totalRows_rstCiudad = mysql_num_rows($rstCiudad);
  

  $ciudad = str_replace('"', '&quot;', trim($row["lugar"]));
  $query_rstCiudad1 = "SELECT * FROM ciudades WHERE ciudades.ciudad='$ciudad' ORDER BY ciudad";
  $rstCiudad1 = mysql_query($query_rstCiudad1, $conn) or die(mysql_error());
  $row_rstCiudad1 = mysql_fetch_assoc($rstCiudad1);
  $totalRows_rstCiudad1 = mysql_num_rows($rstCiudad1);
    
$query_rstEstados = "SELECT codigo,estado FROM estados";
$rstEstados = mysql_query($query_rstEstados, $conn) or die(mysql_error());
$totalRows_rstEstados = mysql_num_rows($rstEstados);  

if($totalRows_rstEstados >0)
{
    $array_codigos = array();
	$array_estados = array();
	$code=0;
	while($estado = mysql_fetch_assoc($rstEstados))
		{
			$array_codigos[$code] = $estado["codigo"];		
			$array_estados[$code]=  $estado["estado"];	
			$code += 1;
		}
}
  

  $codEstado = str_replace('"', '&quot;', trim($row["estado"]));
  $query_rstEstados1 = "SELECT * FROM estados WHERE estados.codigo='$codEstado'";
  $rstEstados1 = mysql_query($query_rstEstados1, $conn) or die(mysql_error());
  $row_rstEstados1 = mysql_fetch_assoc($rstEstados1);
  $totalRows_rstEstados1 = mysql_num_rows($rstEstados1);
  

  $codMunicipio = str_replace('"', '&quot;', trim($row["municipio"]));
  $query_rstMunicipio1 = "SELECT * FROM municipios WHERE municipios.codigo='$codMunicipio'";
  $rstMunicipio1 = mysql_query($query_rstMunicipio1, $conn) or die(mysql_error());
  $row_rstMunicipio1 = mysql_fetch_assoc($rstMunicipio1);
  $totalRows_rstMunicipio1 = mysql_num_rows($rstMunicipio1);

 
  $codParroquia = str_replace('"', '&quot;', trim($row["parroquia"]));
  $query_rstParroquias1 = "SELECT * FROM parroquias WHERE parroquias.codigo='$codParroquia'";
  $rstParroquias1 = mysql_query($query_rstParroquias1, $conn) or die(mysql_error());
  $row_rstParroquias1 = mysql_fetch_assoc($rstParroquias1);
  $totalRows_rstParroquias1 = mysql_num_rows($rstParroquias1);


  $query_rstPais = "SELECT * FROM paises";
  $rstPais = mysql_query($query_rstPais, $conn) or die(mysql_error());
  $row_rstPais = mysql_fetch_assoc($rstPais);
  $totalRows_rstPais = mysql_num_rows($rstPais);  


  $codpais = str_replace('"', '&quot;', trim($row["pais"]));
  $query_rstPais1 = "SELECT * FROM paises WHERE paises.CODIGO='$codpais'";
  $rstPais1 = mysql_query($query_rstPais1, $conn) or die(mysql_error());
  $row_rstPais1 = mysql_fetch_assoc($rstPais1);
  $totalRows_rstPais1 = mysql_num_rows($rstPais1);  
 

  $query_rstGradoAcad = "SELECT * FROM grado_academico";
  $rstGradoAcad = mysql_query($query_rstGradoAcad, $conn) or die(mysql_error());
  $row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad);
  $totalRows_rstGradoAcad = mysql_num_rows($rstGradoAcad);

  
  $codGa = str_replace('"', '&quot;', trim($row["gradoacad"]));
  $query_rstGradoAcad1 = "SELECT * FROM grado_academico WHERE grado_academico.codigo='$codGa'";
  $rstGradoAcad1 = mysql_query($query_rstGradoAcad1, $conn) or die(mysql_error());
  $row_rstGradoAcad1 = mysql_fetch_assoc($rstGradoAcad1);
  $totalRows_rstGradoAcad1 = mysql_num_rows($rstGradoAcad1); 
  $cedula_alumno=$row['cedula'];
  $ruta="./fotografias/".$cedula_alumno.".JPG"."?".rand(0,1000000);
?>

<link href="modelo/calendario/calendar-win2k-cold-1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/js_estilos.js"></script>
<script type="text/javascript" src="js/dinamica.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-setup.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-en.js"></script>

<script language="javascript">

</script>

<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="100%">
<tr>
<td colspan="3" >Datos Personales</td>
</tr>
<tr>
<td class="hr" rowspan="4" ><div align="center" ><img src="<?php echo $ruta; ?>" name="fotop" width="100" height="100" border="0" align="center" id="fotop" /></div></td>
<td class="hr"><?php echo htmlspecialchars("Matrícula")."&nbsp;" ?></td>
<td class="dr"><input name="id_alumno" type="text" disabled="disabled" value="<?php echo str_replace('"', '&quot;', trim($row["id_alumno"])) ?>" size="6" maxlength="6"></td>

</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo Documento Id")."&nbsp;" ?></td>
<td class="dr">
<select name="tipodoc">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["tipodoc"])) ?>"><?php echo str_replace('"', '&quot;', trim($tipodoc)) ?></option>
  <option value="C">CÉDULA</option>
  <option value="P">PASAPORTE</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr">
<input name="cedula" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="14" maxlength="12">
</td>
<tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input name="nombres" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="50" maxlength="50"></td>
</tr>
 	  
  
<td class="hr"><?php echo htmlspecialchars("Nacionalidad")."&nbsp;" ?></td>
<td class="dr">
<select name="nacionalidad"> 
  <option value="<?php echo str_replace('"', '&quot;', trim($row["nacionalidad"])) ?>"><?php echo str_replace('"', '&quot;', trim($nacionalidad)) ?></option>
  <option value="V">VENEZOLANA</option>
  <option value="E">EXTRANJERA</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento")."&nbsp;" ?></td>
<td class="dr">

 <input name="fechanac" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["fechanac"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>

</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grupo Étnico")."&nbsp;" ?></td>
<td class="dr">

<select name="etnia" size="1">
<option value="<?php echo $row_rstEtnias1['CODIGO']?>"><?php echo $row_rstEtnias1['ETNIA']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstEtnias['CODIGO']?>"><?php echo $row_rstEtnias['ETNIA']?></option>
  <?php
} while ($row_rstEtnias = mysql_fetch_assoc($rstEtnias));
  $rows = mysql_num_rows($rstEtnias);
  if($rows > 0) {
      mysql_data_seek($rstEtnias, 0);
	  $row_rstEtnias = mysql_fetch_assoc($rstEtnias);
  }
?>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Género")."&nbsp;" ?></td>
<td class="dr">
<select name="genero">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["genero"])) ?>"><?php echo str_replace('"', '&quot;', trim($genero)) ?></option>
  <option value="0">MASCULINO</option>
  <option value="1">FEMENINO</option>
</select>

</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estado Civil")."&nbsp;" ?></td>
<td class="dr">
<select name="edocivil">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["edocivil"])) ?>"><?php echo str_replace('"', '&quot;', trim($edocivil)) ?></option>
  <option value="S">SOLTERO(A)</option>
  <option value="C">CASADO(A)</option>
  <option value="V">VIUDO(A)</option>
  <option value="D">DIVORCIADO(A)</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Condición Residencia")."&nbsp;" ?></td>
<td class="dr">
<select name="condicion_res">
   <option value="<?php echo str_replace('"', '&quot;', trim($row["condicion_res"])) ?>"><?php echo str_replace('"', '&quot;', trim($condicion_res)) ?></option>
  <option value="1">RESIDENTE</option>
  <option value="2">TRANSEÚNTE</option>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Privado Libertad")."&nbsp;" ?></td>
<td class="dr">
<select name="privado_lib">
   <option value="<?php echo str_replace('"', '&quot;', trim($row["privado_lib"])) ?>"><?php echo str_replace('"', '&quot;', trim($privado_lib)) ?></option>
  <option value="1">SI</option>
  <option value="2">NO</option>
  <option value="3">NO APLICA</option>
</select>

</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Dirección")."&nbsp;" ?></td>
<td class="dr"><textarea cols="38" rows="4" name="direccion"><?php echo str_replace('"', '&quot;', trim($row["direccion"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Habitación")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="telefonoh" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["telefonoh"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Trabajo")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="telefonot" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["telefonot"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Celular")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="telefonoc" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["telefonoc"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Correo Electrónico")."&nbsp;" ?></td>
<td class="dr"><input name="email" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["email"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Discapacidad")."&nbsp"."&nbsp;" ?></td>
<td class="dr">
<select name="discapacidad">
<option value="<?php echo $row_rstDiscapacidad['codigo']?>"><?php echo $row_rstDiscapacidad['discapacidad']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstDiscapacidad1['codigo']?>"><?php echo $row_rstDiscapacidad1['discapacidad']?></option>
  <?php
} while ($row_rstDiscapacidad1 = mysql_fetch_assoc($rstDiscapacidad1));
  $rows = mysql_num_rows($rstDiscapacidad1);
  if($rows > 0) {
      mysql_data_seek($rstDiscapacidad1, 0);
	  $row_rstDiscapacidad1 = mysql_fetch_assoc($rstDiscapacidad1);
  }
?></select>
</tr>

<tr>
<td colspan="3" >Lugar de Nacimiento</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad o Pueblo")."&nbsp"."&nbsp;" ?></td>
<td class="dr">
<select id="lugar" name="lugar">
<option value="<?php echo $ciudad ?>"><?php echo $ciudad ?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstCiudad['ciudad']?>"><?php echo $row_rstCiudad['ciudad']?></option>
  <?php
} while ($row_rstCiudad = mysql_fetch_assoc($rstCiudad));
  $rows = mysql_num_rows($rstCiudad);
  if($rows > 0) {
      mysql_data_seek($rstCiudad, 0);
	  $row_rstCiudad = mysql_fetch_assoc($rstCiudad);
  }
?></select>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr">
<select name="pais">
<option value="<?php echo $row_rstPais1['codigo']?>"><?php echo $row_rstPais1['pais']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstPais['codigo']?>"><?php echo $row_rstPais['pais']?></option>
  <?php
} while ($row_rstPais = mysql_fetch_assoc($rstPais));
  $rows = mysql_num_rows($rstPais);
  if($rows > 0) {
      mysql_data_seek($rstPais, 0);
	  $row_rstPais = mysql_fetch_assoc($rstPais);
  }
?></select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Entidad Federal")."&nbsp;" ?></td>
<td class="dr">
<select name="estado" id="estado" >
<option value="<?php echo $row_rstEstados1['CODIGO']?>"><?php echo $row_rstEstados1['ESTADO']?></option>
<?php
 for($i=0;$i<count($array_codigos);$i++) {
  echo "<option value=".$array_codigos[$i].">".$array_estados[$i]."</option>" ;
} 
?>
</select>
</td>
</tr>

<tr>
     <td class="hr">
	     <?php echo htmlspecialchars("Municipio")."&nbsp;" ?>
     </td>
     <td class="dr">
	 <select id="municipio" name="municipio">
            <option value="<?php echo $row_rstMunicipio1['CODIGO']?>"><?php echo $row_rstMunicipio1['MUNICIPIO']?></option>
        </select>
    </td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Parroquia")."&nbsp;" ?></td>
<td class="dr">
<select id="parroquia" name="parroquia">
 <option value="<?php echo $row_rstParroquias1['CODIGO']?>"><?php echo $row_rstParroquias1['PARROQUIA']?></option>
</select>
</td>
</tr>
<tr>
<td colspan="3" >Datos Académicos</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Suficiencia de Idioma")."&nbsp;" ?></td>
<td class="dr">
<select name="idiomas">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["idiomas"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["idiomas"])) ?></option>
  <option value="NA">NO APLICA</option>
  <option value="NO">NO</option>
  <option value="SI">SI</option>
</select>
</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel Académico")."&nbsp;" ?></td>
<td class="dr">
<select name="nivelacad">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["nivelacad"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["nivelacad"])) ?></option>
  <option value="PRE-GRADO">PRE-GRADO</option>
  <option value="POST-GRADO">POST-GRADO</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grado Académico")."&nbsp;" ?></td>
<td class="dr">
<select name="gradoacad">
<option value="<?php echo $row_rstGradoAcad1['CODIGO']?>"><?php echo $row_rstGradoAcad1['GRADO_ACADEMICO']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstGradoAcad['CODIGO']?>"><?php echo $row_rstGradoAcad['GRADO_ACADEMICO']?></option>
  <?php
} while ($row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad));
  $rows = mysql_num_rows($rstGradoAcad);
  if($rows > 0) {
      mysql_data_seek($rstGradoAcad, 0);
	  $row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad);
  }
?>
</select>
</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Becado")."&nbsp;" ?></td>
<td class="dr">
<select name="becado">
   <option value="<?php echo str_replace('"', '&quot;', trim($row["becado"])) ?>"><?php echo str_replace('"', '&quot;', trim($becado)) ?></option>
  <option value="1">SI</option>
  <option value="2">NO</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Institución que Beca")."&nbsp;" ?></td>
<td class="dr"><input name="institucion" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["institucion"])) ?>" size="60" maxlength="80"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Ingreso ULAC")."&nbsp;" ?></td>
<td class="dr">
<input readonly="true" name="fecha_ingreso" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["fecha_ingreso"])))) ?>">
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Última Inscripción ULAC")."&nbsp;" ?></td>
<td class="dr">
<input readonly="true" name="ultima_inscripcion" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["ultima_inscripcion"])))) ?>">
</td>
</tr>
</table>
<?php 
mysql_free_result($rstEtnias);
mysql_free_result($rstEtnias1);
mysql_free_result($rstCiudad);
mysql_free_result($rstCiudad1);
//mysql_free_result($rstEstados);
mysql_free_result($rstEstados1);
//mysql_free_result($rstMunicipios);
mysql_free_result($rstMunicipio1);
//mysql_free_result($rstParroquias);
mysql_free_result($rstParroquias1);
mysql_free_result($rstPais);
mysql_free_result($rstPais1);
mysql_free_result($rstGradoAcad);
mysql_free_result($rstGradoAcad1);
?>
<?php } ?>

<?php
 function showrowadd($row, $iseditmode)
  {
   // Agrega un nuevo alumno.
  global $conn;
  //Conecta y abre la base de datos.
  $conn=connect();

  //Crea los record set.
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $query_rstEtnias = "SELECT * FROM etnias";
  $rstEtnias = mysql_query($query_rstEtnias, $conn) or die(mysql_error());
  $row_rstEtnias = mysql_fetch_assoc($rstEtnias);
  $totalRows_rstEtnias = mysql_num_rows($rstEtnias);
 

  $query_rstCiudad = "SELECT * FROM ciudades ORDER BY ciudad";
  $rstCiudad = mysql_query($query_rstCiudad, $conn) or die(mysql_error());
  $row_rstCiudad = mysql_fetch_assoc($rstCiudad);
  $totalRows_rstCiudad = mysql_num_rows($rstCiudad);
  
$query_rstEstados = "SELECT codigo,estado FROM estados";
$rstEstados = mysql_query($query_rstEstados, $conn) or die(mysql_error());
$totalRows_rstEstados = mysql_num_rows($rstEstados);  

if($totalRows_rstEstados >0)
{
    $array_codigos = array();
	$array_estados = array();
	$code=0;
	while($estado = mysql_fetch_assoc($rstEstados))
		{
			$array_codigos[$code] = $estado["codigo"];		
			$array_estados[$code]=  $estado["estado"];	
			$code += 1;
		}
}

  $query_rstMunicipios = "SELECT * FROM municipios";
  $rstMunicipios = mysql_query($query_rstMunicipios, $conn) or die(mysql_error());
  $row_rstMunicipios = mysql_fetch_assoc($rstMunicipios);
  $totalRows_rstMunicipios = mysql_num_rows($rstMunicipios);


  $query_rstParroquias = "SELECT * FROM parroquias";
  $rstParroquias = mysql_query($query_rstParroquias, $conn) or die(mysql_error());
  $row_rstParroquias = mysql_fetch_assoc($rstParroquias);
  $totalRows_rstParroquias = mysql_num_rows($rstParroquias);


  $query_rstPais = "SELECT * FROM paises ORDER BY pais ASC";
  $rstPais = mysql_query($query_rstPais, $conn) or die(mysql_error());
  $row_rstPais = mysql_fetch_assoc($rstPais);
  $totalRows_rstPais = mysql_num_rows($rstPais);


  $query_rstGradoAcad = "SELECT * FROM grado_academico";
  $rstGradoAcad = mysql_query($query_rstGradoAcad, $conn) or die(mysql_error());
  $row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad);
  $totalRows_rstGradoAcad = mysql_num_rows($rstGradoAcad);
  
   $query_rstDiscapacidad = "SELECT * FROM discapacidades";
  $rstDiscapacidad = mysql_query($query_rstDiscapacidad, $conn) or die(mysql_error());
  $row_rstDiscapacidad = mysql_fetch_assoc($rstDiscapacidad);
  $totalRows_rstDiscapacidad = mysql_num_rows($rstDiscapacidad);
?>

<link href="modelo/calendario/calendar-win2k-cold-1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/js_estilos.js"></script>
<script type="text/javascript" src="js/dinamica.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-setup.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-en.js"></script>


<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="100%">
<tr>
<td colspan="3" >Datos Personales</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Tipo Documento Id (*)")."&nbsp;" ?></td>
<td class="dr"><select name="tipodoc">
  <option value="C">CÉDULA</option>
  <option value="P">PASAPORTE</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cédula o Pasaorte (*)")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="cedula" maxlength="12" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" onBlur="verificar_alumno(document.addAlumno.cedula.value,this.value)" onKeyPress="return soloNum(event)"> <iframe name="frameAlumno" id="frameAlumno" with="0" height="0" frameborder="0" ></iframe></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Nacionalidad (*)")."&nbsp;" ?></td>
<td class="dr"><select name="nacionalidad">
  <option value="V">VENEZOLANA</option>
  <option value="E">EXTRANJERA</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Nacimiento (*)")."&nbsp;" ?></td>
<td class="dr">
      <input name="fechanac" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grupo Étnico")."&nbsp;" ?></td>
<td class="dr"><select name="etnia" size="1">
<option value="99">SIN INFORMACION</option>
<option value="0">NO APLICA</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstEtnias['CODIGO']?>"><?php echo $row_rstEtnias['ETNIA']?></option>
  <?php
} while ($row_rstEtnias = mysql_fetch_assoc($rstEtnias));
  $rows = mysql_num_rows($rstEtnias);
  if($rows > 0) {
      mysql_data_seek($rstEtnias, 0);
	  $row_rstEtnias = mysql_fetch_assoc($rstEtnias);
  }
?>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos (*)")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres (*)")."&nbsp;" ?></td>
<td class="dr"><input name="nombres" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Género (*)")."&nbsp;" ?></td>
<td class="dr"><select name="genero">
  <option value="2">Seleccione...</option>
  <option value="1">FEMENINO</option>
  <option value="0">MASCULINO</option>
</select></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Estado Civil (*)")."&nbsp;" ?></td>
<td class="dr"><select name="edocivil">
  <option value="S">SOLTERO(A)</option>
  <option value="C">CASADO(A)</option>
  <option value="V">VIUDO(A)</option>
  <option value="D">DIVORCIADO(A)</option>
</select></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Condición Residencia")."&nbsp;" ?></td>
<td class="dr">
<select name="condicion_res">
  <option value="1">RESIDENTE</option>
  <option value="2">TRANSE&Uacute;NTE</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Privado Libertad")."&nbsp;" ?></td>
<td class="dr">
<select name="privado_lib">
  <option value="2">NO</option>
  <option value="1">SI</option>
  <option value="3">NO APLICA</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Dirección")."&nbsp;" ?></td>
<td class="dr"><textarea cols="38" rows="4" name="direccion"><?php echo str_replace('"', '&quot;', trim($row["direccion"])) ?></textarea></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Habitación")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="telefonoh" maxlength="20" value="<?php echo str_replace('"', '&quot;', trim($row["telefonoh"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Trabajo")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="telefonot" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["telefonot"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Teléfono Celular")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="telefonoc" maxlength="15" value="<?php echo str_replace('"', '&quot;', trim($row["telefonoc"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Correo Electrónico")."&nbsp;" ?></td>
<td class="dr"><input name="email" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["email"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Discapacidad")."&nbsp;" ?></td>
<td class="dr">
<select name="discapacidad">
  <?php
do {  
?>
  <option value="<?php echo $row_rstDiscapacidad['codigo']?>"><?php echo $row_rstDiscapacidad['discapacidad']?></option>
  <?php
} while ($row_rstDiscapacidad = mysql_fetch_assoc($rstDiscapacidad));
  $rows = mysql_num_rows($rstDiscapacidad);
  if($rows > 0) {
      mysql_data_seek($rstDiscapacidad, 0);
	  $row_rstDiscapacidad = mysql_fetch_assoc($rstDiscapacidad);
  }
?></select>
</td>
</tr>
<tr>
<td >Lugar de Nacimiento</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp"."&nbsp;" ?></td>
<td class="dr"><select id="myCbo" name="lugar">
<option value="0">Seleccione...</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstCiudad['ciudad']?>"><?php echo $row_rstCiudad['ciudad']?></option>
  <?php
} while ($row_rstCiudad = mysql_fetch_assoc($rstCiudad));
  $rows = mysql_num_rows($rstCiudad);
  if($rows > 0) {
      mysql_data_seek($rstCiudad, 0);
	  $row_rstCiudad = mysql_fetch_assoc($rstCiudad);
  }
?>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr">
<select name="pais">
<option value="296">Venezuela</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstPais['codigo']?>"><?php echo $row_rstPais['pais']?></option>
  <?php
} while ($row_rstPais = mysql_fetch_assoc($rstPais));
  $rows = mysql_num_rows($rstPais);
  if($rows > 0) {
      mysql_data_seek($rstPais, 0);
	  $row_rstPais = mysql_fetch_assoc($rstPais);
  }
?></select> 
    </td>
</tr>

<tr>
<td class="hr">
    <?php echo htmlspecialchars("Entidad Federal")."&nbsp;" ?>
</td>
<td class="dr">
<select name="estado" size="1" id="estado">
            <option value="0">Seleccione...</option>
			<?php
 for($i=0;$i<count($array_codigos);$i++) {
  echo "<option value=".$array_codigos[$i].">".$array_estados[$i]."</option>" ;
} 
?>
      </select>
</td>
</tr>

<tr>
     <td class="hr">
	     <?php echo htmlspecialchars("Municipio")."&nbsp;" ?>
     </td>
     <td class="dr">
	 <select id="municipio" name="municipio">
            <option value="0">Seleccione...</option>
        </select>
    </td>
</tr>
<tr>
    <td class="hr">
        
        <?php echo htmlspecialchars("Parroquia")."&nbsp;" ?>
    </td>
    <td class="dr">
	<select id="parroquia" name="parroquia">
            <option value="0">Seleccione...</option>
        </select>
    </td>
</tr>
<tr>
<td >Datos Académicos</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Suficiencia de Idioma")."&nbsp;" ?></td>
<td class="dr">
<select name="idiomas">
  <option value="NO">NO</option>
  <option value="SI">SI</option>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Nivel Académico")."&nbsp;" ?></td>
<td class="dr">
<select name="nivelacad">
  <option value="POST-GRADO">POST-GRADO</option>
  <option value="PRE-GRADO">PRE-GRADO</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Grado Académico")."&nbsp;" ?></td>
<td class="dr">
<select name="gradoacad">
<option value="2">LICENCIATURA O EQUIVALENTE</option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstGradoAcad['CODIGO']?>"><?php echo $row_rstGradoAcad['GRADO_ACADEMICO']?></option>
  <?php
} while ($row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad));
  $rows = mysql_num_rows($rstGradoAcad);
  if($rows > 0) {
      mysql_data_seek($rstGradoAcad, 0);
	  $row_rstGradoAcad = mysql_fetch_assoc($rstGradoAcad);
  }
?></select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Becado ULAC")."&nbsp;" ?></td>
<td class="dr">
<select name="becado">
  <option value="2">NO</option>
  <option value="1">SI</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Institución que Beca")."&nbsp;" ?></td>
<td class="dr"><input name="institucion" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["institucion"])) ?>" size="60" maxlength="80"></td>
</tr>
</table>
<?php 
// Liberamos la memoria ocupada por los query.
mysql_free_result($rstEtnias);
mysql_free_result($rstCiudad);
mysql_free_result($rstPais);
mysql_free_result($rstGradoAcad);
mysql_free_result($rstEstados);
mysql_free_result($rstMunicipios);
mysql_free_result($rstParroquias);
} ?>

<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="alumnos_limitado.php?a=add">Agregar Participante</a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="alumnos_limitado.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="alumnos_limitado.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="alumnos_limitado.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="alumnos_limitado.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count, $id_alumno, $nombre,$filter, $filterfield)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="alumnos_limitado.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="alumnos_limitado.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="alumnos_limitado.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
<td><a href="documentos_alumno.php?a=reset&alumVolver=<?php echo $recid; ?>&id_alumno=<?php echo $id_alumno; ?>&nombre=<?php echo $nombre; ?>&campo=<?php echo $filterfield; ?>&valor_campo=<?php echo $filter; ?>">Documentos Consignados</a></td>
<td><a href="titulos_alumno.php?a=reset&alumVolver=<?php echo $recid; ?>&id_alumno=<?php echo $id_alumno; ?>&nombre=<?php echo $nombre; ?>&campo=<?php echo $filterfield; ?>&valor_campo=<?php echo $filter; ?>">Títulos</a></td>
<td><a href="carreras_alumno.php?a=reset&alumVolver=<?php echo $recid; ?>&id_alumno=<?php echo $id_alumno; ?>&nombre=<?php echo $nombre; ?>&campo=<?php echo $filterfield; ?>&valor_campo=<?php echo $filter; ?>">Programas</a></td>
<td><a href="historico_notas.php?a=reset&alumVolver=<?php echo $recid; ?>&id_alumno=<?php echo $id_alumno; ?>&nombre=<?php echo $nombre; ?>&campo=<?php echo $filterfield; ?>&valor_campo=<?php echo $filter; ?>">Record Académico</a></td>


</tr>
</table>
<hr size="1" noshade>
<?php 

} ?>

<?php function showrecdel($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="alumnos_limitado.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="alumnos_limitado.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="alumnos_limitado.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="alumnos_limitado.php">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form name="addAlumno" id="addAlumno" enctype="multipart/form-data" action="alumnos_limitado.php" method="post" onSubmit="return validar_datos()">
<p><input type="hidden" name="sql" value="insert"></p>
<p><input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>"></p>
<?php

$row = array(
  "id_alumno" => "",
  "tipodoc" => "",
  "cedula" => "",
  "pasaporte" => "",
  "nacionalidad" => "",
  "fechanac" => "",
  "etnia" => "",
  "apellidos" => "",
  "nombres" => "",
  "genero" => "",
  "edocivil" => "",
  "direccion" => "",
  "telefonoh" => "",
  "telefonot" => "",
  "telefonoc" => "",
  "email" => "",
  "discapacidad" => "",
  "lugar" => "",
  "pais" => "",
  "estado" => "",
  "municipio" => "",
  "parroquia" => "",
  "nivelacad" => "",
  "gradoacad" => "",
  "condicion_res" => "",
  "becado" => "",
  "institucion" => "",
  "privado_lib" => "",
  "idiomas" => "");
  showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid, $campo, $valor_campo)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_alumno=$row['id_alumno'];
  $nombre=$row['apellidos'].", ".$row['nombres'];
  showrecnav("view", $recid, $count, $id_alumno, $nombre, $campo, $valor_campo);
?>
<br>
<?php showrow($row, $recid) ?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="alumnos_limitado.php?a=add">Agregar Participante</a></td>
<td><a href="alumnos_limitado.php?a=edit&recid=<?php echo $recid ?>">Editar Participante</a></td>

</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid,$filter,$filterfield)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  $id_alumno=$row['id_alumno'];
  $nombre=$row['apellidos'].", ".$row['nombres'];
  showrecnav("edit", $recid, $count, $id_alumno,$nombre,$filter,$filterfield);
?>
<br>
<form name="updateAlumno" enctype="multipart/form-data" action="alumnos_limitado.php" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">

<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar Cambios" ></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecdel("del", $recid, $count);
?>
<br>
<form action="alumnos_limitado.php" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xcedula" value="<?php echo $row["cedula"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "ceula_sadce_admi", "j7BnJdCGzyQBGcud");
  mysql_select_db("ceulac_sadce");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
   
  $filterstr = sqlstr($filter);
  
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  
  $sql = "SELECT `id_alumno`, `tipodoc`, `cedula`, `nacionalidad`, `fechanac`, `etnia`, `apellidos`, `nombres`, `genero`, `edocivil`, `direccion`, `telefonoh`, `telefonot`, `telefonoc`, `email`, `lugar`, `pais`, `estado`, `municipio`, `parroquia`, `nivelacad`, `gradoacad`, `condicion_res`, `fecha_ingreso`, `ultima_inscripcion`, `becado`, `privado_lib`, `idiomas`,`discapacidad`,`institucion` FROM `alumnos`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_alumno` like '" .$filterstr ."') or (`tipodoc` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`nacionalidad` like '" .$filterstr ."') or (`fechanac` like '" .$filterstr ."') or (`etnia` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`genero` like '" .$filterstr ."') or (`edocivil` like '" .$filterstr ."') or (`direccion` like '" .$filterstr ."') or (`telefonoh` like '" .$filterstr ."') or (`telefonot` like '" .$filterstr ."') or (`telefonoc` like '" .$filterstr ."') or (`email` like '" .$filterstr ."') or (`lugar` like '" .$filterstr ."') or (`pais` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."') or (`municipio` like '" .$filterstr ."') or (`parroquia` like '" .$filterstr ."') or (`nivelacad` like '" .$filterstr ."') or (`gradoacad` like '" .$filterstr ."') or (`condicion_res` like '" .$filterstr ."') or (`fecha_ingreso` like '" .$filterstr ."') or (`ultima_inscripcion` like '" .$filterstr ."') or (`becado` like '" .$filterstr ."') or (`privado_lib` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `alumnos`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`id_alumno` like '" .$filterstr ."') or (`tipodoc` like '" .$filterstr ."') or (`cedula` like '" .$filterstr ."') or (`nacionalidad` like '" .$filterstr ."') or (`fechanac` like '" .$filterstr ."') or (`etnia` like '" .$filterstr ."') or (`apellidos` like '" .$filterstr ."') or (`nombres` like '" .$filterstr ."') or (`genero` like '" .$filterstr ."') or (`edocivil` like '" .$filterstr ."') or (`direccion` like '" .$filterstr ."') or (`telefonoh` like '" .$filterstr ."') or (`telefonot` like '" .$filterstr ."') or (`telefonoc` like '" .$filterstr ."') or (`email` like '" .$filterstr ."') or (`lugar` like '" .$filterstr ."') or (`pais` like '" .$filterstr ."') or (`estado` like '" .$filterstr ."') or (`municipio` like '" .$filterstr ."') or (`parroquia` like '" .$filterstr ."') or (`nivelacad` like '" .$filterstr ."') or (`gradoacad` like '" .$filterstr ."') or (`condicion_res` like '" .$filterstr ."') or (`fecha_ingreso` like '" .$filterstr ."') or (`ultima_inscripcion` like '" .$filterstr ."') or (`becado` like '" .$filterstr ."') or (`privado_lib` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
/* echo "ESTADO: ".@$_POST["estado"]."<BR>";
 echo "MUNICIPIO: ".@$_POST["municipio"]."<BR>";
 echo "PARROQUIA: ".@$_POST["parroquia"]."<BR>";
 return;*/
   $fechanac=join ("-",(array_reverse(split("-",@$_POST["fechanac"]))));
  
  $sql = "insert into `alumnos` (`id_alumno`, `tipodoc`, `cedula`, `pasaporte`, `nacionalidad`, `fechanac`, `etnia`, `apellidos`, `nombres`, `genero`, `edocivil`, `direccion`, `telefonoh`, `telefonot`, `telefonoc`, `email`, `discapacidad`, `lugar`, `pais`, `estado`, `municipio`, `parroquia`, `nivelacad`, `gradoacad`, `condicion_res`, `becado`, `institucion`, `privado_lib`,`idiomas`) values (" .sqlvalue(@$_POST["id_alumno"], false).", " .sqlvalue(@$_POST["tipodoc"], true).", " .sqlvalue(@$_POST["cedula"], true).", " .sqlvalue(@$_POST["pasaporte"], true).", " .sqlvalue(@$_POST["nacionalidad"], true).", '$fechanac', " .sqlvalue(@$_POST["etnia"], true).", " .sqlvalue(@$_POST["apellidos"], true).", " .sqlvalue(@$_POST["nombres"], true).", " .sqlvalue(@$_POST["genero"], true).", " .sqlvalue(@$_POST["edocivil"], true).", " .sqlvalue(@$_POST["direccion"], true).", " .sqlvalue(@$_POST["telefonoh"], true).", " .sqlvalue(@$_POST["telefonot"], true).", " .sqlvalue(@$_POST["telefonoc"], true).", " .sqlvalue(@$_POST["email"], true).", " .sqlvalue(@$_POST["discapacidad"], true).", " .sqlvalue(@$_POST["lugar"], true).", " .sqlvalue(@$_POST["pais"], true).", " .sqlvalue(@$_POST["estado"], true).", " .sqlvalue(@$_POST["municipio"], true).", " .sqlvalue(@$_POST["parroquia"], true).", " .sqlvalue(@$_POST["nivelacad"], true).", " .sqlvalue(@$_POST["gradoacad"], true).", " .sqlvalue(@$_POST["condicion_res"], true).",  " .sqlvalue(@$_POST["becado"], true).", " .sqlvalue(@$_POST["institucion"], true).", " .sqlvalue(@$_POST["privado_lib"], true)."," .sqlvalue(@$_POST["idiomas"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
  // Inserto la ciudad si no exsiste
  $ciudad = @$_POST["lugar"];
  $queryCiudad = "SELECT * FROM ciudades WHERE ciudades.ciudad='$ciudad'";
  $rstCiudad = mysql_query($queryCiudad, $conn) or die(mysql_error());
  $rowCiudad = mysql_fetch_assoc($rstCiudad);
  $totalRowsCiudad = mysql_num_rows($rstCiudad);
  if($totalRowsCiudad==0){
     $sql = "insert into ciudades (ciudad) values ('$ciudad')";
     mysql_query($sql, $conn) or die(mysql_error());
	 }
}  

function sql_update()
{
  global $conn;
  global $_POST;
  $fechanac=join ("-",(array_reverse(split("-",@$_POST["fechanac"]))));
  $parroquia="PARROQUIA: ".@$_POST["parroquia"];
  $sql = "update `alumnos` set `tipodoc`=" .sqlvalue(@$_POST["tipodoc"], true).", `cedula`=" .sqlvalue(@$_POST["cedula"], true).", `pasaporte`=" .sqlvalue(@$_POST["pasaporte"], true).", `nacionalidad`=" .sqlvalue(@$_POST["nacionalidad"], true).", `fechanac`='$fechanac', `etnia`=" .sqlvalue(@$_POST["etnia"], true).", `apellidos`=" .sqlvalue(@$_POST["apellidos"], true).", `nombres`=" .sqlvalue(@$_POST["nombres"], true).", `genero`=" .sqlvalue(@$_POST["genero"], true).", `edocivil`=" .sqlvalue(@$_POST["edocivil"], true).", `direccion`=" .sqlvalue(@$_POST["direccion"], true).", `telefonoh`=" .sqlvalue(@$_POST["telefonoh"], true).", `telefonot`=" .sqlvalue(@$_POST["telefonot"], true).", `telefonoc`=" .sqlvalue(@$_POST["telefonoc"], true).", `email`=" .sqlvalue(@$_POST["email"], true).", `discapacidad`=" .sqlvalue(@$_POST["discapacidad"], true).", `lugar`=" .sqlvalue(@$_POST["lugar"], true).", `pais`=" .sqlvalue(@$_POST["pais"], true).", `estado`=" .sqlvalue(@$_POST["estado"], true).", `municipio`=" .sqlvalue(@$_POST["municipio"], true).", `parroquia`=" .sqlvalue(@$_POST["parroquia"], true).", `nivelacad`=" .sqlvalue(@$_POST["nivelacad"], true).", `gradoacad`=" .sqlvalue(@$_POST["gradoacad"], true).", `condicion_res`=" .sqlvalue(@$_POST["condicion_res"], true).", `becado`=" .sqlvalue(@$_POST["becado"], true).", `institucion`=" .sqlvalue(@$_POST["institucion"], true).", `privado_lib`=" .sqlvalue(@$_POST["privado_lib"], true) .", `idiomas`=" .sqlvalue(@$_POST["idiomas"], true) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;
  $id_alumno=@$_POST["xid_alumno"];
  $cedula=@$_POST["xcedula"];
  
  mysql_select_db($database_conn, $conn);
  $sql = "SELECT * FROM historico_notas WHERE id_alumno='$id_alumno'";
  $rs=mysql_query($sql, $conn);
  $reg=mysql_num_rows($rs);
  if ($reg != 0) {
	    ?>
	     <script type="text/javascript">
	        msj="Participante(a) Nro. Cédula " +'<<<?php echo $cedula; ?>>>'+" no se puede borrar. Tiene calificaciones registradas."
	 	    alert(msj);
	     </script>
	 <?php
	 }
	 else {
	     $sql = "delete from `alumnos` where " .primarykeycondition();
         mysql_query($sql, $conn) or die(mysql_error());
     }		 
}

function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_alumno`";
  if (@$_POST["xid_alumno"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_alumno"], false);
  };
  $pk .= ")";
  return $pk;
}

function limpiar($recid, $id_alumno_volver,$campo,$valor_campo)
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
 
    $filter = $valor_campo;
    $filterfield = $campo;
	
    $wholeonly = "";
    $order = "";
    $ordtype = "";
	
	 $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
}



?>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
</script>	
	
<script type="text/javascript">
	function validar_datos()
	{
	 	if(document.addAlumno.tipodoc.value==0){
			alert("El campo <<Tipo Documento Id>> es obligatorio");
			document.addAlumno.tipodoc.focus();
			return false;
			}
		if((document.addAlumno.cedula.value=="")){
			alert("El campo <<Número de Cédula o Pasaporte>> es obligatorio");
			document.addAlumno.cedula.focus();
			return false;
			}
		
		if(document.addAlumno.nacionalidad.value==0){
			alert("El campo <<Nacionalidad>> es obligatorio");
			document.addAlumno.nacionalidad.focus();
			return false;
			}
		if(document.addAlumno.fechanac.value==""){
			alert("El campo <<Fecha de Nacimiento>> es obligatorio");
			document.addAlumno.fechanac.focus();
			return false;
			}			
		if(document.addAlumno.apellidos.value==""){
			alert("El campo <<Apellidos>> es obligatorio");
			document.addAlumno.apellidos.focus();
			return false;
			}
		if(document.addAlumno.nombres.value==""){
			alert("El campo <<Nombres>> es obligatorio");
			document.addAlumno.nombres.focus();
			return false;
			}
		if(document.addAlumno.genero.value==0){
			alert("El campo <<Género>> es obligatorio");
			document.addAlumno.genero.focus();
			return false;
			}
		if(document.addAlumno.edocivil.value==0){
			alert("El campo <<Estado Civil>> es obligatorio");
			document.addAlumno.edocivil.focus();
			return false;
			}
		if(document.addAlumno.ciudad.value==0){
			alert("El campo <<Ciudad>> es obligatorio");
			document.addAlumno.ciudad.focus();
			return false;
			}	
			
			return true;
	}
	
	function mostrar_foto(ruta) 
	{
		if(ruta!="")
		{
		//document.addAlumno.fotop.src="";
		document.form2.submit();
		}
	}
	
function verificar_alumno(cedula)
{
 	if (cedula!="")
	 {
	 url="validar_alumno.php?cedula="+cedula;
	 frameAlumno.location=url;
	 }
}
</script>

<script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no v�lido");
		   document.addAlumno.fechanac.focus();
       return false;
	 }
	
    switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
			document.addAlumno.fechanac.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
            document.addAlumno.fechanac.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>


